# Test: Empty principles array
# Expected: FAIL
# Error code: too_small
# Error path: agent.persona.principles
# Error minimum: 1

agent:
  metadata:
    id: empty-principles
    name: Empty Principles
    title: Empty Principles
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles: []

  menu:
    - trigger: help
      description: Show help
      action: display_help
